[Box Backup-commit] COMMIT r2966 - in box/bitten: . bitten-slave master_config

subversion at boxbackup.org subversion at boxbackup.org
Thu Jun 9 14:44:11 BST 2011


Author: jamesog
Date: 2011-06-09 14:44:09 +0100 (Thu, 09 Jun 2011)
New Revision: 2966

Added:
   box/bitten/bitten-slave/
   box/bitten/bitten-slave/minion
   box/bitten/master_config/
   box/bitten/master_config/0.11-latest-rc.xml
   box/bitten/master_config/trunk.xml
Removed:
   box/bitten/0.11-latest-rc.xml
   box/bitten/minion
   box/bitten/trunk.xml
Log:
Restructure bitten area so that people can just check out the slave script without the master configs.


Deleted: box/bitten/0.11-latest-rc.xml
===================================================================
--- box/bitten/0.11-latest-rc.xml	2011-05-24 15:32:41 UTC (rev 2965)
+++ box/bitten/0.11-latest-rc.xml	2011-06-09 13:44:09 UTC (rev 2966)
@@ -1,32 +0,0 @@
-<build xmlns:sh="http://bitten.edgewall.org/tools/sh"
-       xmlns:svn="http://bitten.edgewall.org/tools/svn"
-       xmlns:c="http://bitten.edgewall.org/tools/c">
-  <step id="checkout" description="Checkout source from repository">
-    <svn:checkout url="http://www.boxbackup.org/svn"
-        path="${path}" revision="${revision}" />
-  </step>
-  <step id="bootstrap" description="Run autoconf">
-    <sh:exec file="bootstrap" />
-  </step>
-  <step id="configure">
-    <c:configure />
-  </step>
-  <step id="build-client" description="Build backup client and utils">
-    <sh:exec executable="make" args="build-backup-client" />
-  </step>
-  <step id="build-server" description="Build backup server and utils">
-    <sh:exec executable="make" args="build-backup-server" />
-  </step>
-  <step id="install-client" description="Install client and utils">
-    <sh:exec executable="make" args="install-backup-client DESTDIR="${basedir}/inst-client"" />
-  </step>
-  <step id="install-server" description="Install server and utils">
-    <sh:exec executable="make" args="install-backup-server DESTDIR="${basedir}/inst-server"" />
-  </step>
-  <step id="tests-debug" description="Test suite - debug" onerror="continue">
-    <sh:exec executable="perl" args="runtest.pl ALL debug" />
-  </step>
-  <step id="tests-release" description="Test suite - release">
-    <sh:exec executable="perl" args="runtest.pl ALL release" />
-  </step>
-</build>
\ No newline at end of file

Copied: box/bitten/bitten-slave/minion (from rev 2965, box/bitten/minion)
===================================================================
--- box/bitten/bitten-slave/minion	                        (rev 0)
+++ box/bitten/bitten-slave/minion	2011-06-09 13:44:09 UTC (rev 2966)
@@ -0,0 +1,204 @@
+#!/bin/sh
+#
+# minion - Wrapper script for bitten-slave for Box Backup
+#
+
+TRAC_URL="https://www.boxbackup.org/trac/builds"
+LOG="-l bitten.log"
+WORK_DIR="build"
+SSH_ID="$HOME/.ssh/bitten-minion"
+
+# Need to export SSH_ID so it's passed down to bitten-slave
+export SSH_ID
+
+build_os=`uname -s | tr [A-Z] [a-z]`
+config="${build_os}.ini"
+
+# Func: chk_env
+# Desc: Checks that the build environment is suitable
+chk_env () {
+	echo "This looks like the first time you've run the bitten minion."
+	echo "I need to check a few things out first..."
+	echo
+	printf "Checking for Subversion... "
+	svn help >/dev/null 2>&1
+	if [ $? -eq 0 ]; then
+		echo "OK"
+	else
+		printf "\n  ==> ERROR: Subversion is missing.\n"
+		exit 1
+	fi
+
+	printf "Checking for autoconf... "
+	autoconf --help >/dev/null 2>&1
+	if [ $? -eq 0 ]; then
+		echo "OK"
+	else
+		printf "\n  ==> ERROR: autoconf is missing.\n"
+		exit 1
+	fi
+
+	printf "Checking for automake... "
+	automake --help >/dev/null 2>&1
+	if [ $? -eq 0 ]; then
+		echo "OK"
+	else
+		printf "\n  ==> ERROR: automake is missing.\n"
+		exit 1
+	fi
+
+	printf "Checking for gcc... "
+	gcc -v >/dev/null 2>&1
+	if [ $? -eq 0 ]; then
+		echo "OK"
+	else
+		printf "\n  ==> ERROR: gcc is missing.\n"
+		exit 1
+	fi
+
+	printf "Checking for g++... "
+	g++ -v >/dev/null 2>&1
+	if [ $? -eq 0 ]; then
+		echo "OK"
+	else
+		printf "\n  ==> ERROR: g++ is missing.\n"
+		exit 1
+	fi
+
+	printf "Checking for xsltproc... "
+	xsltproc -V >/dev/null 2>&1
+	if [ $? -eq 0 ]; then
+		echo "OK"
+	else
+		printf "\n  ==> ERROR: xsltproc is missing. Please install libxml.\n"
+		exit 1
+	fi
+
+	printf "Checking for LWP::UserAgent... "
+	perl -MLWP::UserAgent -e ''
+	if [ $? -eq 0 ]; then
+		echo "OK"
+	else
+		printf "\n  ==> ERROR: Perl module LWP::UserAgent is missing. Please install libwww.\n"
+		exit 1
+	fi
+
+	printf "Checking if SSH key exists... "
+	test -f $SSH_ID >/dev/null 2>&1
+	if [ $? -eq 0 ]; then
+		echo "OK"
+	else
+		printf "\n  ==> SSH key does not exist. Running ssh-keygen.\n"
+		ssh-keygen -t rsa -f $SSH_ID -N ''
+		echo
+		echo "  ==> SSH key generated. Be sure to have the key uploaded to the build master!"
+	fi
+
+	echo
+	echo "All done! Binaries look fine, but make sure you have headers for the following:"
+	echo " - openssl"
+	echo " - zlib"
+	echo
+	echo "Exiting so you can check this, rather than having failed builds reported."
+	echo "Just re-run `basename $0` when ready."
+
+	touch .minion_env
+	exit
+}
+
+# Func: chk_dist
+# Desc: Attempts to work out which distribution of Linux we're on.
+chk_dist () {
+	if [ -f /etc/redhat-release ]; then
+		dist_name=`cat /etc/redhat-release | perl -ne '/ release/;print $\`'`
+		dist_ver=`cat /etc/redhat-release | perl -ne '/release (\d+(\.\d+)?)/;print $1'`
+		case "$dist_name" in
+			"Red Hat Ent"*)   dist_name="RHEL" ;;
+			"Red Hat Linux"*) dist_name="RHL"  ;;
+		esac
+	elif [ -f /etc/debian_version ]; then
+		dist_name="Debian"
+		dist_ver=`cat /etc/debian_version`
+	elif [ -f /etc/SuSE-release ]; then
+		dist_name="SuSE"
+		dist_ver=`cat /etc/SuSE-release | perl -ne '/VERSION = /;print $\`'`
+		case "$dist_name" in
+			SUSE*Desktop*) dist_name="SLED" ;;
+			SUSE*Server*) dist_name="SLES" ;;
+		esac
+	else
+		# What is this distribution? Tell me if you know!
+		# Default to "Linux" / kernel ver.
+		dist_name=`uname -s`
+		dist_ver=`uname -r`
+	fi
+}
+
+# Func: gen_config
+# Desc: Creates a bitten-slave configuration file (INI format).
+gen_config () {
+	# Back up any existing config before (re-)creating
+	[ -f ${config} ] && mv $config ${config}.old
+	if [ -f ${config}.old ]; then
+		# Copy auth details from the old config
+		echo "[authentication]" > $config
+		grep "username =" ${config}.old >> $config
+		grep "password =" ${config}.old >> $config
+	else
+		cat >>$config <<-END_CONF
+		[authentication]
+		username = changeme
+		password = changeme
+		END_CONF
+	fi
+	cat >>$config <<-END_CONF
+
+	# Un-comment the [machine] section and set name if you want to
+	# hide your hostname.
+	#[machine]
+	#name = myhostname
+	END_CONF
+
+	case $build_os in
+	  linux)
+		cat >>$config <<-END_CONF
+
+		[os]
+		name = $dist_name
+		version = $dist_ver
+		END_CONF
+	  	;;
+	esac
+  	
+	echo "Config generated as $config."
+	echo "Please set Trac user/pass in the [authentication] section."
+	exit
+}
+
+case "$build_os" in
+	sunos)
+	  # Export variables needed for GCC on Solaris to avoid using the system
+	  # OpenSSL. Change these to wherever your OpenSSL libs/headers are.
+	  CFLAGS="-I/usr/local/include"
+	  CXXFLAGS="-I/usr/local/include"
+	  LDFLAGS="-L/usr/local/lib"
+	  export CFLAGS CXXFLAGS LDFLAGS
+	  ;;
+	linux)
+	  # If we're running a Linux variant, check and change config file name
+	  chk_dist
+	  config="`echo $dist_name | tr [A-Z] [a-z]`.ini"
+	  ;;
+esac
+
+[ x"$1" = x"gen-config" ] && gen_config
+
+[ ! -f .minion_env ] && chk_env
+
+if [ -f "${config}" ]; then
+	bitten-slave -f ${config} -d $WORK_DIR $LOG $* $TRAC_URL
+else
+	echo "Config file missing. Please re-run with gen-config option."
+	exit 1
+fi
+

Copied: box/bitten/master_config/0.11-latest-rc.xml (from rev 2965, box/bitten/0.11-latest-rc.xml)
===================================================================
--- box/bitten/master_config/0.11-latest-rc.xml	                        (rev 0)
+++ box/bitten/master_config/0.11-latest-rc.xml	2011-06-09 13:44:09 UTC (rev 2966)
@@ -0,0 +1,32 @@
+<build xmlns:sh="http://bitten.edgewall.org/tools/sh"
+       xmlns:svn="http://bitten.edgewall.org/tools/svn"
+       xmlns:c="http://bitten.edgewall.org/tools/c">
+  <step id="checkout" description="Checkout source from repository">
+    <svn:checkout url="http://www.boxbackup.org/svn"
+        path="${path}" revision="${revision}" />
+  </step>
+  <step id="bootstrap" description="Run autoconf">
+    <sh:exec file="bootstrap" />
+  </step>
+  <step id="configure">
+    <c:configure />
+  </step>
+  <step id="build-client" description="Build backup client and utils">
+    <sh:exec executable="make" args="build-backup-client" />
+  </step>
+  <step id="build-server" description="Build backup server and utils">
+    <sh:exec executable="make" args="build-backup-server" />
+  </step>
+  <step id="install-client" description="Install client and utils">
+    <sh:exec executable="make" args="install-backup-client DESTDIR="${basedir}/inst-client"" />
+  </step>
+  <step id="install-server" description="Install server and utils">
+    <sh:exec executable="make" args="install-backup-server DESTDIR="${basedir}/inst-server"" />
+  </step>
+  <step id="tests-debug" description="Test suite - debug" onerror="continue">
+    <sh:exec executable="perl" args="runtest.pl ALL debug" />
+  </step>
+  <step id="tests-release" description="Test suite - release">
+    <sh:exec executable="perl" args="runtest.pl ALL release" />
+  </step>
+</build>
\ No newline at end of file

Copied: box/bitten/master_config/trunk.xml (from rev 2965, box/bitten/trunk.xml)
===================================================================
--- box/bitten/master_config/trunk.xml	                        (rev 0)
+++ box/bitten/master_config/trunk.xml	2011-06-09 13:44:09 UTC (rev 2966)
@@ -0,0 +1,62 @@
+<build xmlns:sh="http://bitten.edgewall.org/tools/sh"
+       xmlns:svn="http://bitten.edgewall.org/tools/svn"
+       xmlns:c="http://bitten.edgewall.org/tools/c">
+  <step id="checkout" description="Checkout source from repository">
+    <sh:exec executable="echo" args="==> Checkout start" />
+    <svn:checkout url="http://www.boxbackup.org/svn"
+        path="${path}" revision="${revision}" />
+    <sh:exec executable="echo" args="==> Checkout complete" />
+  </step>
+  <step id="bootstrap" description="Run autoconf">
+    <sh:exec executable="echo" args="==> Bootstrap start" />
+    <sh:exec file="bootstrap" />
+    <sh:exec executable="echo" args="==> Bootstrap complete" />
+  </step>
+  <step id="configure">
+    <sh:exec executable="echo" args="==> Configure start" />
+    <c:configure />
+    <sh:exec executable="echo" args="==> Configure complete" />
+  </step>
+  <step id="build-client" description="Build backup client and utils">
+    <sh:exec executable="echo" args="==> Client build start" />
+    <sh:exec executable="make" args="build-backup-client" />
+    <sh:exec executable="echo" args="==> Client build complete" />
+  </step>
+  <step id="build-server" description="Build backup server and utils">
+    <sh:exec executable="echo" args="==> Server build start" />
+    <sh:exec executable="make" args="build-backup-server" />
+    <sh:exec executable="echo" args="==> Server build complete" />
+  </step>
+  <step id="install-client" description="Install client and utils">
+    <sh:exec executable="echo" args="==> Client install start" />
+    <sh:exec executable="make" args="install-backup-client DESTDIR="${basedir}/inst-client"" />
+    <sh:exec executable="echo" args="==> Client install complete" />
+  </step>
+  <step id="install-server" description="Install server and utils">
+    <sh:exec executable="echo" args="==> Client install start" />
+    <sh:exec executable="make" args="install-backup-server DESTDIR="${basedir}/inst-server"" />
+    <sh:exec executable="echo" args="==> Client install complete" />
+  </step>
+  <step id="tests-debug" description="Test suite - debug" onerror="continue">
+    <sh:exec executable="echo" args="==> Debug tests start" />
+    <sh:exec executable="perl" args="runtest.pl ALL debug" />
+    <sh:exec executable="echo" args="==> Debug tests complete" />
+    <sh:exec executable="echo" args="==> Debug tests permission cleanup" />
+    <sh:exec executable="find" args="debug -type d -exec chmod u+rwx {} \;" />
+    <sh:exec executable="find" args="debug -type f -exec chmod u+rw {} \;" />
+  </step>
+  <step id="tests-release" description="Test suite - release">
+    <sh:exec executable="echo" args="==> Release tests start" />
+    <sh:exec executable="perl" args="runtest.pl ALL release" />
+    <sh:exec executable="echo" args="==> Release tests complete" />
+    <sh:exec executable="echo" args="==> Release tests permission cleanup" />
+    <sh:exec executable="find" args="release -type d -exec chmod u+rwx {} \;" />
+    <sh:exec executable="find" args="release -type f -exec chmod u+rw {} \;" />
+  </step>
+  <step id="distribution" description="Generate distribution tarball">
+    <sh:exec executable="echo" args="==> Distribution start" />
+    <sh:exec executable="perl" args="./infrastructure/makedistribution.pl boxbackup" />
+    <sh:exec executable="echo" args="==> Distribution complete" />
+  </step>
+</build>
+

Deleted: box/bitten/minion
===================================================================
--- box/bitten/minion	2011-05-24 15:32:41 UTC (rev 2965)
+++ box/bitten/minion	2011-06-09 13:44:09 UTC (rev 2966)
@@ -1,204 +0,0 @@
-#!/bin/sh
-#
-# minion - Wrapper script for bitten-slave for Box Backup
-#
-
-TRAC_URL="https://www.boxbackup.org/trac/builds"
-LOG="-l bitten.log"
-WORK_DIR="build"
-SSH_ID="$HOME/.ssh/bitten-minion"
-
-# Need to export SSH_ID so it's passed down to bitten-slave
-export SSH_ID
-
-build_os=`uname -s | tr [A-Z] [a-z]`
-config="${build_os}.ini"
-
-# Func: chk_env
-# Desc: Checks that the build environment is suitable
-chk_env () {
-	echo "This looks like the first time you've run the bitten minion."
-	echo "I need to check a few things out first..."
-	echo
-	printf "Checking for Subversion... "
-	svn help >/dev/null 2>&1
-	if [ $? -eq 0 ]; then
-		echo "OK"
-	else
-		printf "\n  ==> ERROR: Subversion is missing.\n"
-		exit 1
-	fi
-
-	printf "Checking for autoconf... "
-	autoconf --help >/dev/null 2>&1
-	if [ $? -eq 0 ]; then
-		echo "OK"
-	else
-		printf "\n  ==> ERROR: autoconf is missing.\n"
-		exit 1
-	fi
-
-	printf "Checking for automake... "
-	automake --help >/dev/null 2>&1
-	if [ $? -eq 0 ]; then
-		echo "OK"
-	else
-		printf "\n  ==> ERROR: automake is missing.\n"
-		exit 1
-	fi
-
-	printf "Checking for gcc... "
-	gcc -v >/dev/null 2>&1
-	if [ $? -eq 0 ]; then
-		echo "OK"
-	else
-		printf "\n  ==> ERROR: gcc is missing.\n"
-		exit 1
-	fi
-
-	printf "Checking for g++... "
-	g++ -v >/dev/null 2>&1
-	if [ $? -eq 0 ]; then
-		echo "OK"
-	else
-		printf "\n  ==> ERROR: g++ is missing.\n"
-		exit 1
-	fi
-
-	printf "Checking for xsltproc... "
-	xsltproc -V >/dev/null 2>&1
-	if [ $? -eq 0 ]; then
-		echo "OK"
-	else
-		printf "\n  ==> ERROR: xsltproc is missing. Please install libxml.\n"
-		exit 1
-	fi
-
-	printf "Checking for LWP::UserAgent... "
-	perl -MLWP::UserAgent -e ''
-	if [ $? -eq 0 ]; then
-		echo "OK"
-	else
-		printf "\n  ==> ERROR: Perl module LWP::UserAgent is missing. Please install libwww.\n"
-		exit 1
-	fi
-
-	printf "Checking if SSH key exists... "
-	test -f $SSH_ID >/dev/null 2>&1
-	if [ $? -eq 0 ]; then
-		echo "OK"
-	else
-		printf "\n  ==> SSH key does not exist. Running ssh-keygen.\n"
-		ssh-keygen -t rsa -f $SSH_ID -N ''
-		echo
-		echo "  ==> SSH key generated. Be sure to have the key uploaded to the build master!"
-	fi
-
-	echo
-	echo "All done! Binaries look fine, but make sure you have headers for the following:"
-	echo " - openssl"
-	echo " - zlib"
-	echo
-	echo "Exiting so you can check this, rather than having failed builds reported."
-	echo "Just re-run `basename $0` when ready."
-
-	touch .minion_env
-	exit
-}
-
-# Func: chk_dist
-# Desc: Attempts to work out which distribution of Linux we're on.
-chk_dist () {
-	if [ -f /etc/redhat-release ]; then
-		dist_name=`cat /etc/redhat-release | perl -ne '/ release/;print $\`'`
-		dist_ver=`cat /etc/redhat-release | perl -ne '/release (\d+(\.\d+)?)/;print $1'`
-		case "$dist_name" in
-			"Red Hat Ent"*)   dist_name="RHEL" ;;
-			"Red Hat Linux"*) dist_name="RHL"  ;;
-		esac
-	elif [ -f /etc/debian_version ]; then
-		dist_name="Debian"
-		dist_ver=`cat /etc/debian_version`
-	elif [ -f /etc/SuSE-release ]; then
-		dist_name="SuSE"
-		dist_ver=`cat /etc/SuSE-release | perl -ne '/VERSION = /;print $\`'`
-		case "$dist_name" in
-			SUSE*Desktop*) dist_name="SLED" ;;
-			SUSE*Server*) dist_name="SLES" ;;
-		esac
-	else
-		# What is this distribution? Tell me if you know!
-		# Default to "Linux" / kernel ver.
-		dist_name=`uname -s`
-		dist_ver=`uname -r`
-	fi
-}
-
-# Func: gen_config
-# Desc: Creates a bitten-slave configuration file (INI format).
-gen_config () {
-	# Back up any existing config before (re-)creating
-	[ -f ${config} ] && mv $config ${config}.old
-	if [ -f ${config}.old ]; then
-		# Copy auth details from the old config
-		echo "[authentication]" > $config
-		grep "username =" ${config}.old >> $config
-		grep "password =" ${config}.old >> $config
-	else
-		cat >>$config <<-END_CONF
-		[authentication]
-		username = changeme
-		password = changeme
-		END_CONF
-	fi
-	cat >>$config <<-END_CONF
-
-	# Un-comment the [machine] section and set name if you want to
-	# hide your hostname.
-	#[machine]
-	#name = myhostname
-	END_CONF
-
-	case $build_os in
-	  linux)
-		cat >>$config <<-END_CONF
-
-		[os]
-		name = $dist_name
-		version = $dist_ver
-		END_CONF
-	  	;;
-	esac
-  	
-	echo "Config generated as $config."
-	echo "Please set Trac user/pass in the [authentication] section."
-	exit
-}
-
-case "$build_os" in
-	sunos)
-	  # Export variables needed for GCC on Solaris to avoid using the system
-	  # OpenSSL. Change these to wherever your OpenSSL libs/headers are.
-	  CFLAGS="-I/usr/local/include"
-	  CXXFLAGS="-I/usr/local/include"
-	  LDFLAGS="-L/usr/local/lib"
-	  export CFLAGS CXXFLAGS LDFLAGS
-	  ;;
-	linux)
-	  # If we're running a Linux variant, check and change config file name
-	  chk_dist
-	  config="`echo $dist_name | tr [A-Z] [a-z]`.ini"
-	  ;;
-esac
-
-[ x"$1" = x"gen-config" ] && gen_config
-
-[ ! -f .minion_env ] && chk_env
-
-if [ -f "${config}" ]; then
-	bitten-slave -f ${config} -d $WORK_DIR $LOG $* $TRAC_URL
-else
-	echo "Config file missing. Please re-run with gen-config option."
-	exit 1
-fi
-

Deleted: box/bitten/trunk.xml
===================================================================
--- box/bitten/trunk.xml	2011-05-24 15:32:41 UTC (rev 2965)
+++ box/bitten/trunk.xml	2011-06-09 13:44:09 UTC (rev 2966)
@@ -1,62 +0,0 @@
-<build xmlns:sh="http://bitten.edgewall.org/tools/sh"
-       xmlns:svn="http://bitten.edgewall.org/tools/svn"
-       xmlns:c="http://bitten.edgewall.org/tools/c">
-  <step id="checkout" description="Checkout source from repository">
-    <sh:exec executable="echo" args="==> Checkout start" />
-    <svn:checkout url="http://www.boxbackup.org/svn"
-        path="${path}" revision="${revision}" />
-    <sh:exec executable="echo" args="==> Checkout complete" />
-  </step>
-  <step id="bootstrap" description="Run autoconf">
-    <sh:exec executable="echo" args="==> Bootstrap start" />
-    <sh:exec file="bootstrap" />
-    <sh:exec executable="echo" args="==> Bootstrap complete" />
-  </step>
-  <step id="configure">
-    <sh:exec executable="echo" args="==> Configure start" />
-    <c:configure />
-    <sh:exec executable="echo" args="==> Configure complete" />
-  </step>
-  <step id="build-client" description="Build backup client and utils">
-    <sh:exec executable="echo" args="==> Client build start" />
-    <sh:exec executable="make" args="build-backup-client" />
-    <sh:exec executable="echo" args="==> Client build complete" />
-  </step>
-  <step id="build-server" description="Build backup server and utils">
-    <sh:exec executable="echo" args="==> Server build start" />
-    <sh:exec executable="make" args="build-backup-server" />
-    <sh:exec executable="echo" args="==> Server build complete" />
-  </step>
-  <step id="install-client" description="Install client and utils">
-    <sh:exec executable="echo" args="==> Client install start" />
-    <sh:exec executable="make" args="install-backup-client DESTDIR="${basedir}/inst-client"" />
-    <sh:exec executable="echo" args="==> Client install complete" />
-  </step>
-  <step id="install-server" description="Install server and utils">
-    <sh:exec executable="echo" args="==> Client install start" />
-    <sh:exec executable="make" args="install-backup-server DESTDIR="${basedir}/inst-server"" />
-    <sh:exec executable="echo" args="==> Client install complete" />
-  </step>
-  <step id="tests-debug" description="Test suite - debug" onerror="continue">
-    <sh:exec executable="echo" args="==> Debug tests start" />
-    <sh:exec executable="perl" args="runtest.pl ALL debug" />
-    <sh:exec executable="echo" args="==> Debug tests complete" />
-    <sh:exec executable="echo" args="==> Debug tests permission cleanup" />
-    <sh:exec executable="find" args="debug -type d -exec chmod u+rwx {} \;" />
-    <sh:exec executable="find" args="debug -type f -exec chmod u+rw {} \;" />
-  </step>
-  <step id="tests-release" description="Test suite - release">
-    <sh:exec executable="echo" args="==> Release tests start" />
-    <sh:exec executable="perl" args="runtest.pl ALL release" />
-    <sh:exec executable="echo" args="==> Release tests complete" />
-    <sh:exec executable="echo" args="==> Release tests permission cleanup" />
-    <sh:exec executable="find" args="release -type d -exec chmod u+rwx {} \;" />
-    <sh:exec executable="find" args="release -type f -exec chmod u+rw {} \;" />
-  </step>
-  <step id="distribution" description="Generate distribution tarball">
-    <sh:exec executable="echo" args="==> Distribution start" />
-    <sh:exec executable="perl" args="./infrastructure/makedistribution.pl boxbackup" />
-    <sh:exec executable="echo" args="==> Distribution complete" />
-  </step>
-</build>
-




More information about the Boxbackup-commit mailing list